import { Suspense } from "react";
import TruckLaneDetail from "@/components/Shop/TruckLaneDetail";
import { I18nProvider, getServerI18n } from "@/i18n";
import GeneralLoading from "@/components/General/GeneralLoading";

export default async function TruckLaneDetailPage() {
  await getServerI18n("shop");
  return (
    <I18nProvider namespaces={["shop","navigation","common"]}>
      <Suspense fallback={<GeneralLoading />}>
        <TruckLaneDetail />
      </Suspense>
    </I18nProvider>
  );
}

